//
// Created by sasha on 04.12.2025.
//

#include "audio_effect.h"

#include "engine/audio_manager.h"

bool AudioEffect::sound_enable = true;

void AudioEffect::click() {
    if (sound_enable) {
        AudioManager::getInstance()->playSound("mixkit-select-click-1109.wav");
    }
}

void AudioEffect::move_cube() {
    if (sound_enable) {
        AudioManager::getInstance()->playSound("mixkit-modern-click-box-check-1120.wav");
    }
}
